Bug 1573311 - [abrt] xfce4-terminal: gdk_x11_device_manager_xi2_translate_event(): xfce4-terminal killed by SIGSEGV
Summary: [abrt] xfce4-terminal: gdk_x11_device_manager_xi2_translate_event(): xfce4-te...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bca17c3e2dfbc0c2ad1baf69ea4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 20:10 UTC by Sam Varshavchik
Modified: 2020-07-14 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:15:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (108.71 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: cgroup (365 bytes, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: core_backtrace (7.28 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: dso_list (9.17 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: environ (397 bytes, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: maps (46.76 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: mountinfo (3.74 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: open_fds (1.46 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details
File: var_log_messages (276 bytes, text/plain)
2018-04-30 20:10 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2018-04-30 20:10:05 UTC
Description of problem:
In an ssh tunnel, run a remote X client under gdb, and set a breakpoint in the code when the pointer and keyboard are passively grabbed, then make it happen.

gdb will break, but the pointer and keyboard is passively grabbed, won't respond.

Switch to an ALT-VT, log in to the remote server, kill -9 the process and gdb.

After switching back to X, everything crashes.

Version-Release number of selected component:
xfce4-terminal-0.8.7.3-2.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/xfce4-terminal
crash_function: gdk_x11_device_manager_xi2_translate_event
executable:     /usr/bin/xfce4-terminal
journald_cursor: s=0e277caa7c8c4410bb51fe827a9d355f;i=2b5f1c4;b=8b4eeeccd0884fc897e355449735af5f;m=3c96ce6daf;t=56b16265b95f7;x=c92f256d279753c6
kernel:         4.16.3-301.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1711
 #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
 #2 gdk_event_source_translate_event at gdkeventsource.c:230
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438
 #10 gtk_main at gtkmain.c:1323

Potential duplicate: bug 1511081

Comment 1 Sam Varshavchik 2018-04-30 20:10:12 UTC
Created attachment 1428940 [details]
File: backtrace

Comment 2 Sam Varshavchik 2018-04-30 20:10:13 UTC
Created attachment 1428941 [details]
File: cgroup

Comment 3 Sam Varshavchik 2018-04-30 20:10:14 UTC
Created attachment 1428942 [details]
File: core_backtrace

Comment 4 Sam Varshavchik 2018-04-30 20:10:16 UTC
Created attachment 1428943 [details]
File: cpuinfo

Comment 5 Sam Varshavchik 2018-04-30 20:10:17 UTC
Created attachment 1428944 [details]
File: dso_list

Comment 6 Sam Varshavchik 2018-04-30 20:10:18 UTC
Created attachment 1428945 [details]
File: environ

Comment 7 Sam Varshavchik 2018-04-30 20:10:19 UTC
Created attachment 1428946 [details]
File: exploitable

Comment 8 Sam Varshavchik 2018-04-30 20:10:20 UTC
Created attachment 1428947 [details]
File: limits

Comment 9 Sam Varshavchik 2018-04-30 20:10:21 UTC
Created attachment 1428948 [details]
File: maps

Comment 10 Sam Varshavchik 2018-04-30 20:10:22 UTC
Created attachment 1428949 [details]
File: mountinfo

Comment 11 Sam Varshavchik 2018-04-30 20:10:23 UTC
Created attachment 1428950 [details]
File: open_fds

Comment 12 Sam Varshavchik 2018-04-30 20:10:25 UTC
Created attachment 1428951 [details]
File: proc_pid_status

Comment 13 Sam Varshavchik 2018-04-30 20:10:26 UTC
Created attachment 1428952 [details]
File: var_log_messages

Comment 14 Mukundan Ragavan 2018-05-13 02:31:43 UTC
Thanks for the detailed steps for reproducing this bug.

Would you be able to file this upstream or would you prefer that I do?

Comment 15 Sam Varshavchik 2018-05-13 12:47:55 UTC
If you can report it upstream, that'll be great.

Comment 16 Igor 2018-05-15 18:55:23 UTC
Hi Sam, can you reproduce the crash with other terminal emulators, e.g., gnome-terminal?

Comment 17 Sam Varshavchik 2018-05-15 19:31:50 UTC
Yes, and ABRT created bug 1578533, filed against gnome-terminal.

Comment 18 Igor 2018-05-15 19:41:44 UTC
Stack traces are exactly the same in both cases which makes me think there's rather a problem (if any) in GTK than in terminal apps.

 #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1711
 #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
 #2 gdk_event_source_translate_event at gdkeventsource.c:230
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438

Comment 19 Mukundan Ragavan 2018-05-15 22:30:21 UTC
(In reply to Igor from comment #18)
> Stack traces are exactly the same in both cases which makes me think there's
> rather a problem (if any) in GTK than in terminal apps.
> 
>  #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1711
>  #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
>  #2 gdk_event_source_translate_event at gdkeventsource.c:230
>  #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
>  #4 gdk_display_get_event at gdkdisplay.c:438

Yeah, it does sound like the bug is somewhere in the stack.

Comment 20 Ben Cotton 2019-05-02 21:45:43 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2019-05-28 20:15:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 alexandr.miloslavskiy 2020-07-14 14:17:10 UTC
This is a bug in GTK: https://gitlab.gnome.org/GNOME/gtk/issues/855


Note You need to log in before you can comment on or make changes to this bug.